<?php

/**
 * @file
 * ji_oauth_disconnect.inc
 *
 * A simple hook_menu call from ji_quickbooks.module that
 * erases local Drupal data and disconnects the tokens on QBO.
 */

/**
 * Disconnect all QBO access tokens and clear set_variables().
 */
function ji_oauth_disconnect() {
  $quickbooks_service = new JIQuickBooksService(FALSE);
  $quickbooks_service->oauthDisconnect();

  // Clear session where ji_oauth saved previous connection information.
  unset($_SESSION['token']);

  // Clear Access token and Access token secret.
  variable_del('ji_quickbooks_settings_access_token');
  variable_del('ji_quickbooks_settings_access_token_secret');
  variable_del('ji_quickbooks_settings_realm_id');

  return '';
}
